List Reports

get/api/accounts/{accountId}/reports

List reports for an account.

This API uses cursor-based pagination. Start by making a request without a cursor to get the first page. Use the nextCursor from the pageInfo in the response as the cursor for subsequent requests to retrieve further pages. Continue until nextCursor is undefined, indicating no more data.

Request

Path Parameters

  • accountIdstringrequired

    The ID of the account to list reports for.

Query Parameters

  • limitnumber

    Number of records to return (max 100, defaults to 100).

  • cursorstring

    Cursor to retrieve the next page.

  • typestring
    Allowed values:daily-funding-sourcemonthly-funding-sourcedaily-funding-source-interactionmonthly-funding-source-interactiondaily-paymentmonthly-payment

    Filter results to reports of this type.

Response

Successful operation.

Body application/json

  • itemsobject[]

    Items

    • idstringrequired

      The report ID.

    • typestringrequired
      Allowed values:daily-funding-sourcemonthly-funding-sourcedaily-funding-source-interactionmonthly-funding-source-interactiondaily-paymentmonthly-payment

      The report type.

    • accountIdstringrequired

      The account the report belongs to.

    • scheduleDatestring<date-time>required

      The ISO 8601 date-time the report is scheduled to be generated. This is not the period the report covers; see params.date for that.

    • paramsobjectrequired

      The parameters the report was scheduled with. Fields present depend on the report type.

      • partnerAccountIdstring

        The partner account the report covers. Present on all report types.

      • datestring

        The period the report covers. Format is yyyyMMdd for daily reports and yyyyMM for monthly reports.

      • fundingPurposestring
        Allowed values:card-fundingbilling

        Optional funding purpose filter. Only applies to funding-source and funding-source-interaction reports.

    • statusstringrequired
      Allowed values:pendingcompleted
    • livenessstringrequired
      Allowed values:livetest

      Whether the report covers live or test data.

  • pageInfoobject

    Page info for paginated results, undefined if no page info

    • nextCursorstring

      Cursor for next page, undefined if no more pages